@charset "utf-8";

/*来店予約カレンダー*/
/*.reservation-calendar{
    padding-top: 20px;
}
.reservation__heading .reservation__heading--maintitle{
    font-size: 18px;
    margin-bottom: 0;
}
.reservation-calendar .reservation__heading .reservation__heading--maintitle{
    margin-bottom: 20px;
}
.reservation__heading--subtitle{
    font-size: 14px
;   text-align: center;
    margin-bottom: 12px;
}
.reservation__heading--text{
    text-align: center;
}
.reservation-calendar .reservation__heading .reservation__heading--text{
    margin-bottom: 16px;
}*/

/*-------------------------------------------------------------------------
予約画面
-------------------------------------------------------------------------*/

/* 日付
--------------------------- */
.calendar__control {
    width: 100%;
    height: 48px;
    padding: 0 10px;
    display        : flex;
    align-items    : center;
    justify-content: space-between;
    background: var(--bg-light-gray);
    position: sticky;
    top     : 0;
}
    .calendar__btn {
        display    : flex;
        gap        : 2px;
        align-items: center;
        font-size: 12px;
    }
    .calendar__btn.is-disabled {
        pointer-events: none;
        color: #B9C1C6;
    }
        .calendar__btn svg {
            min-width: 10px;
            width: 10px;
            height: 10px;
            fill: var(--light-text-color);
        }
        .calendar__btn.is-disabled svg {
            fill: #B9C1C6;
        }
    .calendar__date {
        font-weight: 700;
    }

/* TABLE
--------------------------- */
.calendar__table {
    text-align: center;
}
    .calendar__table :is(th, td){
        border: 1px solid var(--border-color);
        border-top: none;
        vertical-align: middle;
        height: 46px;
    }
    .calendar__table th {
        font-size  : 12px;
        font-weight: 700;
    }

/* TABLE 日付
--------------------------- */
.calendar__days {
    background-color: #fff;
    box-shadow: 0 3px 4px rgba(38, 50, 56, 0.1);
    position: sticky;
    top     : 48px;
}
    .calendar__days th {
        height: 40px;
        border: none;
    }
    .calendar__days td {
        width: 46px;
        font-size: 11px;
        color: var(--light-text-color);
        line-height: 1;
        height: 40px;
    }
    .calendar__days td.saturday { color: #1976D2;}
    .calendar__days td.sunday   { color: #EF5350;}

        .calendar__days span {
            display: block;
            font-size  : 13px;
            font-weight: 700;
            color      : inherit;
        }

/* TABLE 予定
--------------------------- */
.calendar__table .maru {
    width: 36px;
    height: 36px;
    display        : inline-flex;
    align-items    : center;
    justify-content: center;
    border-radius: 4px;
    background: #00ACC1;
}
.calendar__table .maru:before {
    content: '';
    display: inline-block;
    width: 19px;
    height: 19px;
    border-radius: 50%;
    border: 2px solid #fff;
}
.calendar__table .batu {
    display: inline-block;
}
    .calendar__table .batu svg {
        width: 10px;
        height: 10px;
        fill: var(--gray-text);
    }
.calendar__table .tel a {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    font-size  : 12px;
    font-weight: 700;
    color      : #1976D2;
}

/*-------------------------------------------------------------------------
入力画面
-------------------------------------------------------------------------*/

.contact__section:has(.reserve-confirm){
    padding-bottom: 30px;
}
.reserve-confirm {
    display    : flex;
    gap: 23px;
    align-items: center;
}
    .reserve-confirm__list {
        display: flex;
    }
        .reserve-confirm__ttl {
            width: 132px;
            font-size  : 13px;
            font-weight: 700;
        }
        .reserve-confirm__text {

        }
    .reserve-confirm__btn {
        font-size: 12px;
        color    : #1976D2;
    }

